Skip to content
Get started

Wallet

Get user portfolio
user.wallet.get_balances(straddress, WalletGetBalancesParams**kwargs) -> WalletGetBalancesResponse
GET/api/v1/users/{address}/wallet/balances
Get user balance by asset
user.wallet.get_balance_by_asset(straddress, WalletGetBalanceByAssetParams**kwargs) -> WalletGetBalanceByAssetResponse
GET/api/v1/users/{address}/wallet/balance
ModelsExpand Collapse
class UserWalletPortfolio:
balances: List[WalletBalance]

Array of each wallet balance

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
values: WalletAsset

Derived values and amounts.

One of the following:
class WalletAssetKnown:
amount: str

Wallet balance in native denom.

amount_scaled: str

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

kind: Literal["known"]
class WalletAssetUnknown:
amount: str

Wallet balance in native denom.

kind: Literal["unknown"]
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_value: str
total_value: Optional[str]

Sum value in USD. Guaranteed null if value calculation is disabled / guaranteed non-null if calculation is enabled.

NOTE: this only accounts for assets which are internally known & tracked. See the /assets endpoint for a list of supported assets.

One of the following:
class WalletAssetKnown:
amount: str

Wallet balance in native denom.

amount_scaled: str

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

kind: Literal["known"]
class WalletAssetUnknown:
amount: str

Wallet balance in native denom.

kind: Literal["unknown"]
class WalletAssetKnown:
amount: str

Wallet balance in native denom.

amount_scaled: str

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

kind: Literal["known"]
class WalletAssetUnknown:
amount: str

Wallet balance in native denom.

kind: Literal["unknown"]
class WalletBalance:

Asset and balance contents for a given wallet

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
values: WalletAsset

Derived values and amounts.

One of the following:
class WalletAssetKnown:
amount: str

Wallet balance in native denom.

amount_scaled: str

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

amount: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: str
extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: str
price: str

Text representation of price

price: str

Price used in value calculations

kind: Literal["known"]
class WalletAssetUnknown:
amount: str

Wallet balance in native denom.

kind: Literal["unknown"]